#!/bin/bash

fusion_props_val() {
    cat /etc/opt/fusion/fusion.properties | grep "^${1}" | tr -d ' ' | cut -d '=' -f 2 
}

fusion_port=$( fusion_props_val "listening.port" )
fusion_protocol=$( fusion_props_val "listening.protocol" )

xdg-open "${fusion_protocol}://localhost:${fusion_port}"
